---
title: List Model Lab run facet values
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Model Lab API
---

# List Model Lab run facet values{% #list-model-lab-run-facet-values %}

{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/model-lab-api/facet-values |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/model-lab-api/facet-values |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/model-lab-api/facet-values      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/model-lab-api/facet-values      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/model-lab-api/facet-values  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/model-lab-api/facet-values     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/model-lab-api/facet-values |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/model-lab-api/facet-values |

### Overview

List available facet values for a specific run facet key.

### Arguments

#### Query Strings

| Name                                 | Type    | Description                                                                                                           |
| ------------------------------------ | ------- | --------------------------------------------------------------------------------------------------------------------- |
| filter[project_id] [*required*] | integer | Filter by project ID.                                                                                                 |
| facet_type [*required*]         | enum    | Facet type. Valid values: parameter, attribute, tag, metric. Allowed enum values: `parameter, attribute, tag, metric` |
| facet_name [*required*]         | string  | Facet name.                                                                                                           |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing available values for a facet key.

| Parent field       | Field                        | Type     | Description                                                                        |
| ------------------ | ---------------------------- | -------- | ---------------------------------------------------------------------------------- |
|                    | data [*required*]       | object   | A facet values JSON:API resource object.                                           |
| data               | attributes [*required*] | object   | Available values for a specific facet key.                                         |
| attributes         | facet_name [*required*] | string   | The name of the facet.                                                             |
| attributes         | facet_type [*required*] | string   | The type of the facet.                                                             |
| attributes         | metric_stat_ranges           | [object] | The ranges for each metric statistic.                                              |
| metric_stat_ranges | max [*required*]        | double   | The maximum value of the statistic.                                                |
| metric_stat_ranges | min [*required*]        | double   | The minimum value of the statistic.                                                |
| metric_stat_ranges | stat [*required*]       | string   | The metric statistic name.                                                         |
| attributes         | numeric_range                | object   | The numeric range of values for a facet.                                           |
| numeric_range      | max [*required*]        | double   | The maximum value.                                                                 |
| numeric_range      | min [*required*]        | double   | The minimum value.                                                                 |
| attributes         | values [*required*]     | [string] | The list of available string values for this facet.                                |
| data               | id [*required*]         | string   | The unique identifier of the facet values resource.                                |
| data               | type [*required*]       | enum     | The JSON:API type for a facet values resource. Allowed enum values: `facet_values` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "facet_name": "model",
      "facet_type": "tag",
      "metric_stat_ranges": [
        {
          "max": 1,
          "min": 0,
          "stat": "mean"
        }
      ],
      "numeric_range": {
        "max": 1,
        "min": 0
      },
      "values": [
        "gpt4"
      ]
    },
    "id": "1",
    "type": "facet_values"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="500" %}
Internal Server Error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Required query arguments export filter[project_id]="101" export facet_type="tag" export facet_name="algorithm" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/model-lab-api/facet-values?filter[project_id]=${filter[project_id]}&facet_type=${facet_type}&facet_name=${facet_name}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
